Error codes in setting

New to Atom wanted to install package and check for updates but keep getting these error codes:

Fetching outdated packages and themes failed.

Compiler tools not found
Packages that depend on modules that contain C/C++ code will fail to install.
Read here for instructions on installing Python and Visual Studio.

Output is this:

node:internal/modules/cjs/loader:922
** throw err;**
** ^**

Error: Cannot find module 'C:\Users\k\AppData\Local\atom\app-1.53.0\resources\app\apm\lib\cli.js’
** at Function.Module._resolveFilename (node:internal/modules/cjs/loader:919:15)**
** at Function.Module._load (node:internal/modules/cjs/loader:763:27)**
** at Function.executeUserEntryPoint [as runMain] (node:internal/modules/run_main:76:12)**
** at node:internal/main/run_main_module:17:47 {**
** code: ‘MODULE_NOT_FOUND’,**
** requireStack: **
}

I have Python, C++, Visual Studios installed but it still won’t work. On Windows 10.